package com.tencent.mm.ipcinvoker.wx_extension;

import android.app.Application;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.ipcinvoker.e;
import com.tencent.mm.ipcinvoker.g.1;
import com.tencent.mm.ipcinvoker.g.2;
import com.tencent.mm.ipcinvoker.h.b;
import com.tencent.mm.kernel.b.f;
import com.tencent.mm.kernel.b.g;
import com.tencent.mm.kernel.b.h;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.ah;
import junit.framework.Assert;

public class PluginIPC extends f implements c {
    public void execute(g gVar) {
        AppMethodBeat.i(126208);
        ab.i("MicroMsg.PluginIPC", "execute(%s)", new Object[]{gVar.eHT});
        Application application = ((h) com.tencent.mm.kernel.g.RM().Rn()).cc;
        1 1 = new 1(this);
        Assert.assertNotNull(application);
        e.sContext = application;
        1 12 = new 1(application);
        1.a(12);
        1.a(new 2());
        1.b(12);
        b.i("IPC.IPCInvokerBoot", "setup IPCInvoker(process : %s, application : %s)", new Object[]{e.PN(), Integer.valueOf(application.hashCode())});
        if (ah.doF() || ah.doG()) {
            com.tencent.mm.ipcinvoker.g.lh("com.tencent.mm");
        }
        AppMethodBeat.o(126208);
    }
}
